%global fontname google-noto
%global fontconf 66-%{fontname}
%global common_desc \
Noto fonts aims to remove tofu from web by providing fonts for all \
Unicode supported script. Its design goal is to achieve visual harmonization\
between multiple scripts. Presently Noto family support Latin, Armenian, \
Devanagari Ethiopic Georgian, Hebrew, Khmer, Lao, Tamil and Thai script.

Name:           %{fontname}-fonts
Version:        20130411
Release:        4%{?dist}
Summary:        Hinted Open Type fonts for Unicode scripts
Group:          User Interface/X
License:        ASL 2.0
URL:            https://code.google.com/p/noto
Source0:        http://noto.googlecode.com/svn/trunk/packages/NotoFonts-hinted-2013-04-11.tgz
Source1:        %{fontconf}-sans.conf
Source2:        %{fontconf}-sans-armenian.conf
Source3:        %{fontconf}-sans-devanagari.conf
Source4:        %{fontconf}-sans-devanagari-ui.conf
Source5:        %{fontconf}-sans-ethiopic.conf
Source6:        %{fontconf}-sans-georgian.conf
Source7:        %{fontconf}-sans-hebrew.conf
Source8:        %{fontconf}-sans-khmer.conf
Source9:        %{fontconf}-sans-khmer-ui.conf
Source10:        %{fontconf}-sans-lao.conf
Source11:        %{fontconf}-sans-lao-ui.conf
Source12:        %{fontconf}-sans-tamil.conf
Source13:        %{fontconf}-sans-tamil-ui.conf
Source14:        %{fontconf}-sans-thai.conf
Source15:        %{fontconf}-sans-thai-ui.conf
Source16:        %{fontconf}-sans-ui.conf
Source17:        %{fontconf}-serif-armenian.conf
Source18:        %{fontconf}-serif.conf
Source19:        %{fontconf}-serif-georgian.conf
Source20:        %{fontconf}-serif-lao.conf
Source21:        %{fontconf}-serif-thai.conf
BuildArch:      noarch
BuildRequires: fontforge >= 20080429
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
%common_desc


%package -n %{fontname}-sans-fonts
Summary:        Free sans-serif font for Latin script
Requires:       fontpackages-filesystem

%description -n %{fontname}-sans-fonts
%common_desc
Hinted sans-serif fonts for Latin script.

%_font_pkg -n sans -f %{fontconf}-sans.conf NotoSans-*.ttf
%doc COPYING


%package -n %{fontname}-sans-armenian-fonts
Summary:        Free sans-serif font for Armenian script
Requires:       fontpackages-filesystem

%description -n %{fontname}-sans-armenian-fonts
%common_desc
Hinted sans-serif fonts for Armenian script.

%_font_pkg -n sans-armenian -f %{fontconf}-sans-armenian.conf NotoSansArmenian-*.ttf
%doc COPYING

%package -n %{fontname}-sans-devanagari-fonts
Summary:        Free Devanagari script sans-serif fonts
Requires:       fontpackages-filesystem

%description -n %{fontname}-sans-devanagari-fonts
%common_desc
Hinted sans-serif fonts for Devanagari script.

%_font_pkg -n sans-devanagari -f %{fontconf}-sans-devanagari.conf NotoSansDevanagari-*.ttf
%doc COPYING

%package -n %{fontname}-sans-devanagari-ui-fonts
Summary:        Free Devanagari script sans-serif fonts for UI
Requires:       fontpackages-filesystem

%description -n %{fontname}-sans-devanagari-ui-fonts
%common_desc
Hinted sans-serif UI fonts for Devanagari script.

%_font_pkg -n sans-devanagari-ui -f %{fontconf}-sans-devanagari-ui.conf NotoSansDevanagariUI-*.ttf
%doc COPYING

%package -n %{fontname}-sans-ethiopic-fonts
Summary:        Free Ethiopic script sans-serif fonts
Requires:       fontpackages-filesystem

%description -n %{fontname}-sans-ethiopic-fonts
%common_desc
Hinted sans-serif fonts for Ethiopic script.

%_font_pkg -n sans-ethiopic -f %{fontconf}-sans-ethiopic.conf NotoSansEthiopic-*.ttf
%doc COPYING


%package -n %{fontname}-sans-georgian-fonts
Summary:        Free Georgian script sans-serif fonts
Requires:       fontpackages-filesystem

%description -n %{fontname}-sans-georgian-fonts
%common_desc
Hinted sans-serif fonts for Georgian script.

%_font_pkg -n sans-georgian -f %{fontconf}-sans-georgian.conf NotoSansGeorgian-*.ttf
%doc COPYING


%package -n %{fontname}-sans-hebrew-fonts
Summary:        Free Hebrew script sans-serif fonts
Requires:       fontpackages-filesystem

%description -n %{fontname}-sans-hebrew-fonts
%common_desc
Hinted sans-serif fonts for Hebrew script.

%_font_pkg -n sans-hebrew -f %{fontconf}-sans-hebrew.conf NotoSansHebrew-*.ttf
%doc COPYING

%package -n %{fontname}-sans-khmer-fonts
Summary:        Free Khmer script sans-serif font
Requires:       fontpackages-filesystem

%description -n %{fontname}-sans-khmer-fonts
%common_desc
Hinted sans-serif fonts for Khmer script.

%_font_pkg -n sans-khmer -f %{fontconf}-sans-khmer.conf NotoSansKhmer-*.ttf
%doc COPYING

%package -n %{fontname}-sans-khmer-ui-fonts
Summary:        Free Khmer script sans-serif fonts for UI
Requires:       fontpackages-filesystem

%description -n %{fontname}-sans-khmer-ui-fonts
%common_desc
Hinted sans-serif UI fonts for Khmer script.

%_font_pkg -n sans-khmer-ui -f %{fontconf}-sans-khmer-ui.conf NotoSansKhmerUI-*.ttf
%doc COPYING

%package -n %{fontname}-sans-lao-fonts
Summary:        Free Lao script sans-serif font
Requires:       fontpackages-filesystem

%description -n %{fontname}-sans-lao-fonts
%common_desc
Hinted sans-serif fonts for Lao script.

%_font_pkg -n sans-lao -f %{fontconf}-sans-lao.conf NotoSansLao-*.ttf
%doc COPYING

%package -n %{fontname}-sans-lao-ui-fonts
Summary:        Free Lao script sans-serif fonts for UI
Requires:       fontpackages-filesystem

%description -n %{fontname}-sans-lao-ui-fonts
%common_desc
Hinted sans-serif UI fonts for Lao script.

%_font_pkg -n sans-lao-ui -f %{fontconf}-sans-lao-ui.conf NotoSansLaoUI-*.ttf
%doc COPYING


%package -n %{fontname}-sans-tamil-fonts
Summary:        Free Tamil script sans-serif font
Requires:       fontpackages-filesystem

%description -n %{fontname}-sans-tamil-fonts
%common_desc
Hinted sans-serif fonts for Tamil script.

%_font_pkg -n sans-tamil -f %{fontconf}-sans-tamil.conf NotoSansTamil-*.ttf
%doc COPYING

%package -n %{fontname}-sans-tamil-ui-fonts
Summary:        Free Tamil script sans-serif fonts for UI
Requires:       fontpackages-filesystem

%description -n %{fontname}-sans-tamil-ui-fonts
%common_desc
Hinted sans-serif UI fonts for Tamil script.

%_font_pkg -n sans-tamil-ui -f %{fontconf}-sans-tamil-ui.conf NotoSansTamilUI-*.ttf
%doc COPYING


%package -n %{fontname}-sans-thai-fonts
Summary:        Free Thai script sans-serif font
Requires:       fontpackages-filesystem

%description -n %{fontname}-sans-thai-fonts
%common_desc
Hinted sans-serif fonts for Thai script.

%_font_pkg -n sans-thai -f %{fontconf}-sans-thai.conf NotoSansThai-*.ttf
%doc COPYING

%package -n %{fontname}-sans-thai-ui-fonts
Summary:        Free Thai script sans-serif fonts for UI
Requires:       fontpackages-filesystem

%description -n %{fontname}-sans-thai-ui-fonts
%common_desc
Hinted sans-serif UI fonts for Thai script.

%_font_pkg -n sans-thai-ui -f %{fontconf}-sans-thai-ui.conf NotoSansThaiUI-*.ttf
%doc COPYING

%package -n %{fontname}-sans-ui-fonts
Summary:        Free sans-serif Latin script fonts for UI
Requires:       fontpackages-filesystem

%description -n %{fontname}-sans-ui-fonts
%common_desc
Hinted sans-serif UI fonts for Latin script.

%_font_pkg -n sans-ui -f %{fontconf}-sans-ui.conf NotoSansUI-*.ttf
%doc COPYING


%package -n %{fontname}-serif-armenian-fonts
Summary:        Free Armenian script serif fonts
Requires:       fontpackages-filesystem

%description -n %{fontname}-serif-armenian-fonts
%common_desc
Hinted serif fonts for Armenian script.

%_font_pkg -n serif-armenian -f %{fontconf}-serif-armenian.conf NotoSerifArmenian*.ttf
%doc COPYING

%package -n %{fontname}-serif-fonts
Summary:        Free Latin script serif fonts
Requires:       fontpackages-filesystem

%description -n %{fontname}-serif-fonts
%common_desc
Hinted serif fonts for Latin script.

%_font_pkg -n serif -f %{fontconf}-serif.conf NotoSerif-**.ttf
%doc COPYING

%package -n %{fontname}-serif-georgian-fonts
Summary:        Free Georgian script serif fonts
Requires:       fontpackages-filesystem

%description -n %{fontname}-serif-georgian-fonts
%common_desc
Hinted serif fonts for Georgian script.

%_font_pkg -n serif-georgian -f %{fontconf}-serif-georgian.conf NotoSerifGeorgian*.ttf
%doc COPYING


%package -n %{fontname}-serif-lao-fonts
Summary:        Free Lao script serif fonts
Requires:       fontpackages-filesystem

%description -n %{fontname}-serif-lao-fonts
%common_desc
Hinted serif fonts for Lao script.

%_font_pkg -n serif-lao -f %{fontconf}-serif-lao.conf NotoSerifLao*.ttf
%doc COPYING


%package -n %{fontname}-serif-thai-fonts
Summary:        Free Thai script serif fonts
Requires:       fontpackages-filesystem

%description -n %{fontname}-serif-thai-fonts
%common_desc
Hinted serif fonts for Thai script.

%_font_pkg -n serif-thai -f %{fontconf}-serif-thai.conf NotoSerifThai*.ttf
%doc COPYING

%prep
%setup -q -c
cp -p fonts/individual/hinted/*.ttf .

%build

%install

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

# Repeat for every font family
install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans.conf
install -m 0644 -p %{SOURCE2} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans-armenian.conf
install -m 0644 -p %{SOURCE3} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans-devanagari.conf
install -m 0644 -p %{SOURCE4} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans-devanagari-ui.conf
install -m 0644 -p %{SOURCE5} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans-ethiopic.conf
install -m 0644 -p %{SOURCE6} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans-georgian.conf
install -m 0644 -p %{SOURCE7} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans-hebrew.conf
install -m 0644 -p %{SOURCE8} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans-khmer.conf
install -m 0644 -p %{SOURCE9} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans-khmer-ui.conf
install -m 0644 -p %{SOURCE10} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans-lao.conf
install -m 0644 -p %{SOURCE11} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans-lao-ui.conf
install -m 0644 -p %{SOURCE12} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans-tamil.conf
install -m 0644 -p %{SOURCE13} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans-tamil-ui.conf
install -m 0644 -p %{SOURCE14} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans-thai.conf
install -m 0644 -p %{SOURCE15} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans-thai-ui.conf
install -m 0644 -p %{SOURCE16} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans-ui.conf
install -m 0644 -p %{SOURCE17} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-serif-armenian.conf
install -m 0644 -p %{SOURCE18} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-serif.conf
install -m 0644 -p %{SOURCE19} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-serif-georgian.conf
install -m 0644 -p %{SOURCE20} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-serif-lao.conf
install -m 0644 -p %{SOURCE21} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-serif-thai.conf

for fconf in %{fontconf}-sans.conf \
             %{fontconf}-sans-armenian.conf \
             %{fontconf}-sans-devanagari.conf \
             %{fontconf}-sans-devanagari-ui.conf \
             %{fontconf}-sans-ethiopic.conf \
             %{fontconf}-sans-georgian.conf \
             %{fontconf}-sans-hebrew.conf \
             %{fontconf}-sans-khmer.conf \
             %{fontconf}-sans-khmer-ui.conf \
             %{fontconf}-sans-lao.conf \
             %{fontconf}-sans-lao-ui.conf \
             %{fontconf}-sans-tamil.conf \
             %{fontconf}-sans-tamil-ui.conf \
             %{fontconf}-sans-thai.conf \
             %{fontconf}-sans-thai-ui.conf \
             %{fontconf}-sans-ui.conf \
             %{fontconf}-serif-armenian.conf \
             %{fontconf}-serif.conf \
             %{fontconf}-serif-georgian.conf \
             %{fontconf}-serif-lao.conf \
             %{fontconf}-serif-thai.conf ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done


%changelog
* Mon Jun 10 2013 Pravin Satpute <psatpute@redhat.com> - 20130411-4
- Resolved #971886 :- Georgian fontconfig file error 

* Mon May 06 2013 Pravin Satpute <psatpute@redhat.com> - 20130411-3
- Initial import
- Updated spec file

* Fri Apr 19 2013 Pravin Satpute <psatpute@redhat.com> - 20130411-2
- Updated package as per 3rd comment on review request #953859

* Fri Apr 19 2013 Pravin Satpute <psatpute@redhat.com> - 20130411-1
- Initial packaging
